For the complete documentation index, see llms.txt. This page is also available as Markdown.

Utilization Find By Period

Get a high-granularity data of resources utilization for a certain period

get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequired

Contract number

Pattern: [0-9]{5,10}
periodstringRequired

Period of interest in format YYYY-MM

Example: 2020-01Pattern: ^(\d{4}-\d{2}|null)$
Query parameters
dcstring · uuidOptional

Filter out by particular VDC UUID (or "Bucket" UUID for non-vdc related resources)

resourcestring · uuidOptional

Filter out by particular resource UUID (e.g.VM UUID, NIC UUID)

typestringOptional

Filter out by particular type of items

Responses
200

Result data

application/json
startDatestring · dateOptionalExample: 2020-01-01
endDatestring · dateOptionalExample: 2020-01-12
get/{contract}/utilization/{period}
GET /billing/{contract}/utilization/{period} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "startDate": "2020-01-01",
  "endDate": "2020-01-12",
  "datacenters": [
    {
      "id": "ad34b997-43c7-4666-889b-57acbeaeeb8b",
      "name": "Standard-Image",
      "meters": [
        {
          "id": "83debc7b-fbee-4c69-83a9-df57bb186726",
          "resourceId": "86263665-8ce4-4d6c-ae26-58a2cecc2974",
          "serverId": "86263665-8ce4-4d6c-ae26-58a2cecc2974",
          "name": "Main server",
          "type": "SERVER",
          "from": "2020-01-01T00:00:00.000Z",
          "to": "2020-01-12T23:59:59.999Z",
          "exists": true,
          "meterId": "C01000",
          "meterDesc": "1h core AMD",
          "region": "de/txl",
          "quantity": {
            "quantity": 742,
            "unit": "1hour"
          }
        }
      ]
    }
  ],
  "metadata": {
    "contractId": "31805900",
    "customerId": "112505406",
    "reference": "31805900"
  }
}

Last updated

Was this helpful?